League of Legends Wiki


Client version at tournaments

Do you think it's alright for the tournaments such as LCS to be held at a client version older than the current one?

For me it's disturbing. In a game we were able to watch yesterday (Lemondogs v. Alternate), we have seen Jayce spamming his acceleration gates, since the game was still at ver. 3.8. In the current version that wouldn't be even possible. It's so nonsensical, since showcasing the pro players is supposed to inspire us, other players to learn playing like them isn't it? But we can't. Not that I support Jayce spamming his acceleration gate, but I'm using it as an possible example here.

Moreover, there are upcoming changes for Jayce, which were inspired by the belief that old Jayce was a very toxic playstyle. The way I see it, patch 3.9 change was supposed to introduce a change to the old Jayce, to see if the upcoming strong changes are going to be necessary. And then, the tournament is launched at version 3.8 and thousands in the audience were watching the old, so called "toxic" Jayce. That could've fueled the ambition to change Jayce even more, into what he is on PBE right now.

Also on Fandom

Random Wiki